﻿@using SportsClub.Areas.Dashboard.Models
@model CatalogCreateEditViewModel

@{
    Layout = null;
}
<style>
    .rating-custom .filled {
        color: #21568b;
    }

    .rating-custom li {
        display: inline-block;
        padding: 3px;
        color: #a5a5a5;
    }

    .imageRepeat {
        display: inline-block;
        margin: 27px 17px;
        border: 2px solid #999;
        padding: 10px;
    }

    .removeImage {
        text-align: center;
        margin-right: 5px;
        padding: 0 !important;
    }

    .btn-centerv-right {
        position: absolute;
        top: 50%;
        right: 0px;
        transform: translateY(-50%);
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='Catalog'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                {{Model.PageMode}} catalog item
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate ng-submit="save()">

        <fieldset>
            @*<legend>Create edit catalog</legend>*@

            <div>
                <label class="req-star" for="@Html.Ang(m => m.Name)">Item name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model=>model.Name)>
                    <input type="text" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.Name)" ng-model="@Html.Ang(m => m.Name)" @Html.AngTooltipValidationFor(model=> model.Name) />
                </div>
            </div>


            <div>
                <label class="req-star" for="@Html.Ang(m => m.Description)">
                    Description
                </label>
                <div class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model=>
                    model.Description)>
                    <textarea id="@Html.Ang(m => m.Description)" ng-model="@Html.Ang(m => m.Description)" @Html.AngTooltipValidationFor(model=> model.Description)></textarea>
                </div>
            </div>


            <div class="place-left one-half padding-right20">

                <label class="req-star">Categories</label>
                You may assign multiple categories.
                <div class="input-control choosen" data-role="input-control" @Html.AngValidationClassFor(model=>
                    model.Categories)>
                    <div @Html.AngTooltipValidationFor(model=>
                        model.Categories)>

                        <select chosen multiple ng-model="@Html.Ang(m => m.Categories)"
                                name="Category" data-placeholder="Select categories"
                                ng-options="obj.Value as obj.Text group by obj.Group for obj in Model.AllCategories"></select>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>
        </fieldset>

        <fieldset>
            <legend>Price options</legend>
            <div ng-if="Model.priceOptionNote!=null">
                <h3>Note</h3>
                <h6 style="white-space: pre-line">{{Model.priceOptionNote}}</h6>
            </div>

            <h3>Available durations</h3>

            <h6>
                Select available durations for this class and enter the corressponding fees, if applicable. Deselect any schedule lengths that aren't available. Be sure to select and enter pricing for all available time durations.
            </h6>

            <div class="clearfix"></div>

            <div class="full-width" ng-repeat="priceGroup in Model.PriceGroups" ng-init="priceGroupIndex = $index;">

                <label class="place-left">
                    <input ng-model="priceGroup.IsChecked" ng-change="changePriceGroup(priceGroup)" type="checkbox">
                    <span class="check"></span>
                    <span ng-if="!priceGroup.EditMode">
                        {{priceGroup.Title}}
                        <button ng-if="!priceGroup.IsDefault" ng-click="editItemTitle(priceGroup)">Edit</button>
                    </span>

                    <span ng-if="priceGroup.EditMode" class="input-control text" data-role="input-control" style="width:90%">
                        <input type="text" ng-model="priceGroup.TempTitle" class="one-half" />
                        <button type="button" class="btn success" ng-click="saveItemTitle(priceGroup, Model.PriceGroups)">Save</button>
                        <button type="button" class="btn" ng-click="cancelItemSave(priceGroup, Model.PriceGroups)">Cancel</button>
                    </span>
                </label>
                <div ng-if="priceGroup.IsChecked" class="item-pack grid fluid metro-clearfix level-item-pack">
                    <div class="row">
                        <div class="span2">
                            <h3 class="item-pack-title">Schedule</h3>
                        </div>
                        <div class="span4">
                            <h3 class="item-pack-title">{{Model.PriceOptionLable}}</h3>
                        </div>
                    </div>

                    <!--repeat start-->
                    <div class="item-pack-box" ng-repeat="price in priceGroup.Prices" ng-init="priceIndex = $index;">


                        <div class="row" style="margin-top:0 !important;">
                            <div class="span2">

                                <label>
                                    <input ng-model="price.IsChecked" type="checkbox">
                                    <span class="check"></span>
                                    <span ng-if="!price.EditMode" class="ng-binding ng-scope">
                                        {{price.Title}}
                                        <button ng-if="!price.IsDefault" ng-click="editItemTitle(price)">Edit</button>
                                    </span>
                                    <span ng-if="price.EditMode" class="input-control text two-third box-btn-price" data-role="input-control">
                                        <input type="text" ng-model="price.TempTitle" class="k-textbox" />
                                        <button type="button" class="btn success" ng-click="savePriceOption(price, priceGroup.Prices)">Save</button>
                                        <button type="button" class="btn" ng-click="cancelPriceOptionSave(price, priceGroup.Prices)">Cancel</button>
                                    </span>
                                </label>
                            </div>
                            <div class="span4 input-control text" data-role="input-control" @Html.AngValidationClass("PriceGroups['+priceGroupIndex+'].Prices['+priceIndex+'].Amount")>
                                <input type="text" class="k-textbox" autocomplete="off" ng-model="price.Amount" @Html.AngTooltipValidation("PriceGroups['+priceGroupIndex+'].Prices['+priceIndex+'].Amount") />
                            </div>
                        </div>
                    </div>
                    <!--repeat end-->

                    <div class="row">
                        <div class="span12">
                            <button class="place-right margin-bottom15 padding-left10 padding-right10" type="button" ng-click="addPriceOption(priceGroup.StringId)">Add schedule</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="clearfix"></div>
            <button class="place-right default" type="button" ng-click="addDuration()">Add duration</button>
        </fieldset>


        <fieldset>
            <legend>Enrollment information</legend>
            <div class="place-left one-half  padding-right20">

               
                <div ng-if="Model.AttendeeRestriction.RestrictionType == '@RestrictionType.Grade'">
                    <div class="place-left one-half" style="padding-right: 20px">
                        <label>Min grade</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("AttendeeRestriction.MinGrade")>
                            <div @Html.AngTooltipValidation("AttendeeRestriction.MinGrade")>
                                <select ng-model="Model.AttendeeRestriction.MinGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                            </div>
                        </div>
                    </div>
                    <div class="place-left one-half">
                        <label>Max grade</label>
                        <div class="input-control select" data-role="input-control" @Html.AngValidationClass("AttendeeRestriction.MaxGrade")>
                            <div @Html.AngTooltipValidation("AttendeeRestriction.MaxGrade")>
                                <select ng-model="Model.AttendeeRestriction.MaxGrade" ng-options="obj.Value as obj.Text for obj in Model.Grades"></select>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <div class="place-left one-half">
                <label>Recomended grade grouping</label>

                <div ng-repeat="gradeGroup in Model.RecomendedGradeGroups">
                    <label>
                        <input ng-model="gradeGroup.IsChecked" type="checkbox">
                        <span class="check"></span>
                        <span ng-if="!gradeGroup.EditMode">
                            {{gradeGroup.Title}}
                            <button ng-if="!gradeGroup.IsDefault" ng-click="editItemTitle(gradeGroup)">Edit</button>
                        </span>
                        <span ng-if="gradeGroup.EditMode" class="input-control text two-third" data-role="input-control">
                            <input type="text" ng-model="gradeGroup.TempTitle" class="one-half" />
                            <button type="button" class="btn success" ng-click="saveItemTitle(gradeGroup, Model.RecomendedGradeGroups)">Save</button>
                            <button type="button" class="btn" ng-click="cancelItemSave(gradeGroup, Model.RecomendedGradeGroups)">Cancel</button>
                        </span>
                    </label>
                </div>

                <button class="place-right btn success" type="button" ng-click="addGradeGrouping()">Add</button>
            </div>

            <div class="clearfix"></div>

            <div class="place-left one-half padding-right20">
                <label class="req-star">Minimum</label>
                <div class="input-control select" @Html.AngValidationClass("MinimumEnrollment")>
                    <select ng-model="Model.MinimumEnrollment"
                            ng-options="obj.Value as obj.Text for obj in Model.AllCapacities"
                            @Html.AngTooltipValidation("MinimumEnrollment")></select>
                </div>
            </div>

            <div class="place-left one-half">
                <label class="req-star">Maximum</label>
                <div class="input-control select" @Html.AngValidationClass("MaximumEnrollment")>
                    <select ng-model="Model.MaximumEnrollment"
                            ng-options="obj.Value as obj.Text for obj in Model.AllCapacities"
                            @Html.AngTooltipValidation("MaximumEnrollment")></select>
                </div>
            </div>

            <div class="clearfix"></div>

            <div class="place-left one-half padding-right20">

                <label>Instructor/student ratio</label>

                <div class="input-control select" data-role="input-control">
                    <span>1:</span>  <select ng-model="Model.StudentRatio" ng-options="obj.Value as obj.Text for obj in Model.AllRatios" class="one-fourth"></select>
                </div>
            </div>

            <div class="place-left one-half" ng-if="Model.ShowGenderBox==true">

                <label>Gender</label>

                <div class="input-control select" data-role="input-control">
                    <select ng-model="Model.AttendeeRestriction.Gender" ng-options="obj.Value as obj.Text for obj in Model.Genders"></select>
                </div>
            </div>
            <div class="clearfix"></div>
            <div>
                <label for="@Html.Ang(m => m.MaterialsNeeded)">
                    Materials needed
                </label>
                <div class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model=>model.MaterialsNeeded)>
                    <textarea id="@Html.Ang(m => m.MaterialsNeeded)" ng-model="@Html.Ang(m => m.MaterialsNeeded)" @Html.AngTooltipValidationFor(model=> model.MaterialsNeeded)></textarea>
                </div>
            </div>

        </fieldset>

        <fieldset>
            <legend>Space requirements</legend>

            <label>
                Indoor
            </label>
            <div>
                <div class="one-half place-left padding-left20" ng-repeat="spaceRequirement in Model.SpaceRequirements  | filter: {Type: 'Indoor'}">
                    <label>
                        <input ng-model="spaceRequirement.IsChecked" type="checkbox">
                        <span class="check"></span>
                        <span ng-if="!spaceRequirement.EditMode">
                            {{spaceRequirement.Title}}
                            <button ng-if="!spaceRequirement.IsDefault" ng-click="editItemTitle(spaceRequirement)">Edit</button>
                        </span>
                        <span ng-if="spaceRequirement.EditMode" class="input-control text two-third" data-role="input-control">
                            <input type="text" ng-model="spaceRequirement.TempTitle" class="one-half" />
                            <button type="button" class="btn success" ng-click="saveItemTitle(spaceRequirement, Model.SpaceRequirements)">Save</button>
                            <button type="button" class="btn" ng-click="cancelItemSave(spaceRequirement, Model.SpaceRequirements)">Cancel</button>
                        </span>
                    </label>
                </div>

                <button class="place-right btn success" type="button" ng-click="addSpaceRequirement('Indoor')">Add</button>
            </div>

            <div class="clearfix"></div>

            <label>
                Outdoor
            </label>
            <div>
                <div class="one-half place-left padding-left20 full-width" ng-repeat="spaceRequirement in Model.SpaceRequirements  | filter: {Type: 'Outdoor'}">
                    <label class="place-left">
                        <input ng-model="spaceRequirement.IsChecked" type="checkbox">
                        <span class="check"></span>
                        <span ng-if="!spaceRequirement.EditMode">
                            {{spaceRequirement.Title}}
                            <button ng-if="!spaceRequirement.IsDefault" ng-click="editItemTitle(spaceRequirement)">Edit</button>
                        </span>
                        <span ng-if="spaceRequirement.EditMode" class="input-control text two-third" data-role="input-control">
                            <input type="text" ng-model="spaceRequirement.TempTitle" class="one-half" />
                            <button type="button" class="btn success" ng-click="saveItemTitle(spaceRequirement, Model.SpaceRequirements)">Save</button>
                            <button type="button" class="btn" ng-click="cancelItemSave(spaceRequirement, Model.SpaceRequirements)">Cancel</button>
                        </span>
                    </label>
                </div>

                <button class="place-right btn success" type="button" ng-click="addSpaceRequirement('Outdoor')">Add</button>
            </div>

            <div class="clearfix"></div>
            <div>
                <label for="@Html.Ang(m => m.Detail)">
                    Additional Comments
                </label>
                <div class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model=>model.Detail)>
                    <textarea id="@Html.Ang(m => m.Detail)" ng-model="@Html.Ang(m => m.Detail)" @Html.AngTooltipValidationFor(model=> model.Detail)></textarea>
                </div>
            </div>
        </fieldset>
        <fieldset>

            <legend for="@Html.Ang(m => m.Image)">Featured image</legend>

            <span>
                You can upload images with a variety of aspect ratios. During upload you can use the crop tool to choose a portion of the original image. Please note the maximum width of the image must not exceed 300 pixels. You cannot upload an image larger than 4 mega bytes (MB). We recommend you check your catalog page after the upload to see how the uploaded image fits within the description text.<br />
                Note: you must own the rights to display any included images and get permission for any image subjects as needed.
            </span>

            <div class="margin-bottom20 clearfix"></div>

            <!-- start image cropper -->

            <div style="margin-left: 200px;">
                <input type="file" img-cropper-fileread image="cropper.sourceImage" ng-click="Canvac1()" />
            </div>
            <div class="clearfix"></div>
            <div ng-if="showCanvac==false">
                <div class="cropArea img-cropper">

                    <div class="img-cropp" ng-if="showCanvac==false" id="div_can1">
                        <canvas width="380" height="280" min-height="100" min-width="100"  id="canvas_1"
                                image-cropper image="cropper.sourceImage" cropped-image="cropper.croppedImage"
                                touch-radius="50"
                                 keep-aspect="true" crop-width="380" crop-height="280" cors="true"></canvas>
                     
                    </div>
                </div>
                <div class="img-cropper-preview" style="position:relative" ng-if="showCanvac==false">
                    <div class="club-logo" ng-show="cropper.croppedImage!=null">
                        <div class="margin-bottom10" style="margin-left: 230px;">Cropped image:</div>
                        <img src="{{cropper.croppedImage}}" ng-src="{{cropper.croppedImage}}" />
                    </div>
                    <button class="default btn-centerv-right" id="btn_Add2" type="button" ng-show="cropper.croppedImage!=null" ng-click="AddToImage(cropper.croppedImage,cropper.sourceImage)">Add image</button>
                </div>
            </div>


            <div class="clearfix"></div>
            <div style="display: inline-block;margin-top: 17px;" ng-show="ShowImage==true" ng-init="imgIndex = $index" id="div_img">
                <div class="imageRepeat">
                    <img style="max-width:300px; max-height:150px;"  src="{{Model.Image}}" ng-src="{{Model.Image}}" ng-model="Model.Image" />
                </div>
                <div class="removeImage">
                    <button type="button" style="padding-bottom: 5px;" ng-click="remove()">Remove</button>
                </div>
            </div>
            <!-- end image cropper -->
        </fieldset>
        <fieldset>
            <legend>Additional images</legend>
            <span>
                You can upload up to four additional images for this catalog item. These images will be displayed in the class description page during the registration.<br />
                Note: you must own the rights to display any included images and get permission for any image subjects as needed.
            </span>
            <div class="margin-bottom20 clearfix"></div>

            <div style="margin-left: 200px;">
                <input id="btn_file" type="file" img-cropper-fileread image="cropperImages.sourceImage" ng-click="Canvac2()" />
            </div>
            <div class="clearfix"></div>
            <div id="div_can2" ng-if="showCanvac==true">
                <div class="cropArea img-cropper">
                    <div class="img-cropp" ng-if="showCanvac==true">
                        <canvas ng-show="showCanvac==true" width="380" height="280" min-height="100" min-width="100" id="canvas_2"
                                image-cropper image="cropperImages.sourceImage" cropped-image="cropperImages.croppedImage"
                                touch-radius="50"
                                keep-aspect="true" crop-width="380" crop-height="280" cors="true"></canvas>
                        @*<canvas ng-show="showCanvac==true" min-width="100" min-height="100" cors="yes" width="500" height="300" id="canvas_2" image-cropper image="cropperImages.sourceImage" cropped-image="cropperImages.croppedImage" crop-width="150" crop-height="150" keep-aspect="true" touch-radius="30"></canvas>*@
                    </div>
                </div>
                <div class="img-cropper-preview" style="position:relative" ng-if="showCanvac==true">
                    <div class="club-logo" ng-show="cropperImages.croppedImage!=null">
                        <div class="margin-bottom10" style="margin-left: 230px;">Cropped image:</div>
                        <img src="{{cropperImages.croppedImage}}" ng-src="{{cropperImages.croppedImage}}" ng-model="@Html.Ang(m => m.Images)" />
                    </div>
                    <button class="default btn-centerv-right" id="btn_Add" ng-show="cropperImages.sourceImage!=null && disable==false" type="button" ng-click="AddTo(cropperImages.croppedImage,cropperImages.sourceImage)">Add image</button>
                    <button class="default btn-centerv-right" id="btn_Add" ng-show="cropperImages.sourceImage!=null && disable==true" type="button" disabled ng-click="AddTo(cropperImages.croppedImage,cropperImages.sourceImage)">Add image</button>
                </div>
            </div>

            <div class="clearfix"></div>

            <div ng-repeat="image in Model.Images" ng-init="imageIndex = $index" style="display: inline-block;margin-top: 17px;">
                <div class="imageRepeat">
                    <img style="max-width:300px; max-height:150px;"  src="{{image}}" ng-src="{{image}}" ng-model="image[imageIndex]" />
                </div>
                <div class="removeImage">
                    <button type="button" style="padding-bottom: 5px;" ng-click="removeImage(imageIndex)">Remove</button>
                </div>

            </div>
        </fieldset>
        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Submit</button>

        <a class="place-left button link large" ui-sref='Catalogs'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>






